trc_mem_acc_mapper.h File Reference
`#include <vector>`
`#include "opencsd/ocsd_if_types.h"`
`#include "interfaces/trc_tgt_mem_access_i.h"`
`#include "interfaces/trc_error_log_i.h"`
`#include "mem_acc/trc_mem_acc_base.h"`
`#include "mem_acc/trc_mem_acc_cache.h"`
Include dependency graph for trc_mem_acc_mapper.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | TrcMemAccMapper
class | TrcMemAccMapGlobalSpace

## Typedefs

typedef enum _memacc_mapper_t | memacc_mapper_t

## Enumerations

enum | _memacc_mapper_t { MEMACC_MAP_GLOBAL }

## Typedef Documentation

## memacc_mapper_t

typedef enum _memacc_mapper_t memacc_mapper_t

## Enumeration Type Documentation

## _memacc_mapper_t

enum _memacc_mapper_t

Enumerator
MEMACC_MAP_GLOBAL |

Definition at line 46 of file trc_mem_acc_mapper.h.